[platforms/drm] Rewrite rotation rendering to use MapTexture
AcceptedPublic

Authored by davidedmundson on Jan 2 2020, 5:48 PM.

Details

Reviewers
zzag
Group Reviewers
KWin
Summary

The previous code uses a fixed version of GSLS which does not match our suported GL targets. We need both, using kwin's existing MapTexture framework we can achieve the same thing in a better way with less code.

Test Plan

Had some slight issues with the rotation, but everything appeared the same
as when I applied the patchset with the custom shader.

Diff Detail

Repository
R108 KWin
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 20549
Build 20567: arc lint + arc unit
davidedmundson created this revision.Jan 2 2020, 5:48 PM
Restricted Application added a project: KWin. · View Herald TranscriptJan 2 2020, 5:48 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
davidedmundson requested review of this revision.Jan 2 2020, 5:48 PM

remove another line

zzag accepted this revision.Jan 6 2020, 10:23 AM
This revision is now accepted and ready to land.Jan 6 2020, 10:23 AM
davidedmundson retitled this revision from For squashing into D25907 to [platforms/drm] Rewrite rotation rendering to use MapTexture.Jan 14 2020, 5:51 PM
davidedmundson edited the summary of this revision. (Show Details)
davidedmundson added a comment.EditedJan 14 2020, 5:53 PM

Roman preferred to merge the initial version as-is, then merge this as top instead of my suggestion of squashing.
Renamed commit appropriately.